# MANUAL: mkdir -p ~/.persist/.local/share/soh/Save
{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  options.me = {
    shipwright.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Whether we want to install shipwright.";
    };
  };

  config = lib.mkIf config.me.shipwright.enable (
    lib.mkMerge [
      {
        allowedUnfree = [ "shipwright" ];
      }
      (lib.mkIf config.me.graphical {
        home.packages = with pkgs; [
          (config.lib.nixGL.wrap shipwright)
        ];

        home.file.".local/share/soh/shipofharkinian.json" = {
          source = ./files/shipofharkinian.json;
        };

        home.persistence."/home/deck/.persist" = {
          directories = [
            {
              directory = ".local/share/soh/Save";
              method = "symlink";
            }
          ];
        };
        home.persistence."/home/deck/.state" = {
          files = [
            ".local/share/soh/oot.otr"
          ];
        };
      })
    ]
  );
}
